---
layout: docs
page_title: credentials read - Command
description: >-
  The "credentials read" command retrieves the details of an existing credential resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# credentials read

Command: `boundary credentials read`

The `credentials read` command retrieves information about a credential with a specified ID.

## Examples

The following example retrieves credential information for a credential with the ID `credup_29IUJANN59`:

```shell-session
$ boundary credentials read -id credup_29IUJANN59
```

**Example output:**

<CodeBlockConfig hideClipboard>

```plaintext
Credential information:
  Created Time:          Tue, 22 Aug 2023 18:26:06 PDT
  Credential Store ID:   csst_5GGWwRngd7
  ID:                    credup_29IUJANN59
  Name:                  tester
  Type:                  username_password
  Updated Time:          Tue, 22 Aug 2023 18:26:06 PDT
  Version:               1

  Scope:
    ID:                  p_1zMlAwGHtH
    Name:                quick-start-project
    Parent Scope ID:     o_R0wbo0H6Zl
    Type:                project

  Authorized Actions:
    no-op
    read
    update
    delete

  Attributes:
    Password HMAC:       bXhHJHgaGz6fpolEpQPd0azcICSgmbVuSLfyhJhmqJY
    Username:            tester
```

</CodeBlockConfig>

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary credentials read [options] [args]
```

</CodeBlockConfig>


### Command options

- `-id` `(string: "")` - The ID of the credential for which you want to retrieve information.

@include 'cmd-option-note.mdx'
